BigattiPivotStrategy Class Referenceabstract

A BigattiPivotStrategy is an implementation of a pivot selection strategy for the Hilbert series algorithm by Bigatti et.al. More...

`#include <BigattiPivotStrategy.h>`

## Public Member Functions

virtual | ~BigattiPivotStrategy ()
virtual const Term & | getPivot (BigattiState &state)=0
| Returns the pivot of a pivot split of state.
virtual const char * | getName () const =0
| Returns the name of the strategy.

## Detailed Description

A BigattiPivotStrategy is an implementation of a pivot selection strategy for the Hilbert series algorithm by Bigatti et.al.

Definition at line 28 of file BigattiPivotStrategy.h.

## Constructor & Destructor Documentation

## ~BigattiPivotStrategy()

BigattiPivotStrategy::~BigattiPivotStrategy | ( |  | ) |

virtual

Definition at line 30 of file BigattiPivotStrategy.cpp.

## Member Function Documentation

## getName()

virtual const char * BigattiPivotStrategy::getName | ( |  | ) | const

pure virtual

Returns the name of the strategy.

## getPivot()

virtual const Term & BigattiPivotStrategy::getPivot | ( | BigattiState & | state | ) |

pure virtual

Returns the pivot of a pivot split of state.

The state is not changed mathematically, but e.g. the generators of the ideal may be permuted. The returned object will be valid until the next non-const method on this object is called, such as getPivot or a destructor.

The documentation for this class was generated from the following files:

- src/BigattiPivotStrategy.h
- src/BigattiPivotStrategy.cpp